openQA Project - action #81816

OSD deployment failed at 2021-01-06
2021-01-06 07:46 - Xiaojing_liu

Status: Resolved Start date: 2021-01-06
Priority: High Due date:

Assignee: okurz % Done: 0%
Category: Concrete Bugs Estimated time: 0.00 hour
Target version: Ready

Difficulty:

Description

Observation

OSD deployment failed because 'check state of packages' failed. The log shows:

<result project="devel:openQA" repository="openSUSE_Leap_15.1" arch="x86_64" code="published" s
tate="published">
<status package="isotovideo-gemu-kvm" code="excluded"/>
<status package="isotovideo-gemu-x86" code="excluded"/>
<status package="openQA" code="succeeded"/>
<status package="openQA:openQA-client-test" code="succeeded"/>
<status package="openQA:openQA-devel-test" code="succeeded"/>
<status package="openQA:openQA-test" code="succeeded"/>
<status package="openQA:openQA-worker-test" code="succeeded"/>
<status package="openQA_container_webUI" code="excluded"/>
<status package="openQA_container_webUI_loadbalancer" code="excluded"/>
<status package="openQA_container_worker" code="excluded"/>
<status package="openga_bugfetcher" code="failed"/>
<status package="openga_dev" code="broken">
<details>service error: 2021-01-05 07:00:45 ERROR 404: Not Found.</details>
</status>
<status package="os-autoinst" code="succeeded"/>
<status package="os-autoinst-distri-opensuse-deps" code="succeeded"/>
<status package="os-autoinst:os-autoinst-test" code="succeeded"/>
<status package="os—-autoinst_dev" code="excluded"/>
<status package="python-openga_client" code="succeeded"/>
<status package="xterm-console" code="succeeded"/>
</result>

See more details in https://gitlab.suse.de/openga/osd-deployment/-/jobs/317231

It shows the package openga_dev is broken, the result in OBS shows:

Files could not be expanded: service error: 2021-01-05 07:00:45 ERROR 404: Not Found. less info
service download_url failed:

Running /usr/lib/obs/service//download_url —--protocol https —--host raw.githubusercontent.com —--pat
h /os-autoinst/openQA/master/docker/travis_test/Dockerfile —--filename Dockerfile --outdir /var/cac
he/obs/1WglYkT5yXDb/out

--2021-01-05 07:00:45-- https://raw.githubusercontent.com/os—-autoinst/openQA/master/docker/travis_
test/Dockerfile

Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.0.133, 151.101.64.133,
151.101.128.133,

Connecting to raw.githubusercontent.com (raw.githubusercontent.com) |151.101.0.133|:443... connecte
d.

HTTP request sent, awaiting response... 404 Not Found

2021-01-05 07:00:45 ERROR 404: Not Found.

See details in https://build.opensuse.org/package/show/devel:openQA/openga_dev.

The package check result also shows that the openqga_bugfetcher is failed in openSUSE_Leap_15.1. This package is succeeded in
openSUSE_leap_15.2.
Maybe we should change the https: . n -deployment/-/blob/m r/.gitlab-ci.ymI#L 58 from
openSUSE_Leap_15.1 to openSUSE_leap_15.27 We have upgraded OSD and related worker machines to 15.2.

History

#1 - 2021-01-06 07:56 - Xiaojing_liu

We have changed /os-autoinst/openQA/master/docker/.. to /os-autoinst/openQA/master/container/.. in
https://github.com/os- in nQA/pull .

#2 - 2021-01-06 08:27 - cdywan
- Category set to Concrete Bugs
- Status changed from New to Workable

- Target version set to Ready

It seems like devel:openQA/openga_dev is still using the old path. Note this appears completely broken until you hit Unmerged sources.

#3 - 2021-01-06 09:11 - okurz
- Status changed from Workable to In Progress

- Assignee set to okurz

After https://github.com/os-autoinst/openQA/pull/3656 was merged | adjusted all config paths in OBS

#4 - 2021-01-06 09:32 - okurz

- Status changed from In Progress to Resolved

https:/gitlab.suse.de/openqga/osd-deployment/-/pipelines/94612 looks good. Sorry for the disruption. | just wanted to take responsibility for what my
PR has caused [l | will go back to public holiday mode
